libetonyek::IWORKStylesheet Struct Reference

Representation of a stylesheet. More...

`#include <IWORKStylesheet.h>`

## Public Member Functions
| IWORKStylesheet ()
IWORKStylePtr_t | find (const std::string &name) const
| try to return a style in a spreadsheet with a given name

## Public Attributes
IWORKStylesheetPtr_t | parent
IWORKStyleMap_t | m_styles

## Detailed Description

Representation of a stylesheet.

Stylesheets are nested; the hierarchy is:

- theme stylesheet
- master slide stylesheet
- slide stylesheet

Note
  The retrieval key for a style is its `ident` attribute, not its ID.

## Constructor & Destructor Documentation

## ◆ IWORKStylesheet()

libetonyek::IWORKStylesheet::IWORKStylesheet | ( |  | ) |

Referenced by find().

## Member Function Documentation

## ◆ find()

IWORKStylePtr_t libetonyek::IWORKStylesheet::find | ( | const std::string & | name | ) | const

try to return a style in a spreadsheet with a given name

## Member Data Documentation

## ◆ m_styles

IWORKStyleMap_t libetonyek::IWORKStylesheet::m_styles

Referenced by find(), and IWORKStylesheet().

## ◆ parent

IWORKStylesheetPtr_t libetonyek::IWORKStylesheet::parent

Referenced by find(), and IWORKStylesheet().

The documentation for this struct was generated from the following files:

- IWORKStylesheet.h
- IWORKStylesheet.cpp